import React from 'react'
import { View, Image } from '@tarojs/components'
import BadgeTag from '@/components/BadgeTag'
import Cashback from '../Cashback'
import './style.less'

export default (props) => {
  const { cashback, badge, image } = props

  const enableCashback = cashback !== undefined && cashback !== null

  return (
    <View className='coupun-media_header'>
      {enableCashback && <Cashback money={cashback} style={{ marginTop: '-10px' }} />}
      <View className='coupun-media_thumb'>
        <BadgeTag type={badge} />
        <Image src={image} />
      </View>
    </View>
  )
}
